Name:           sofsip-cli
Version:        0.13
Release:        5%{?dist}
Summary:        SIP VoIP/IM example client

Group:          Applications/Internet
License:        LGPL
URL:            http://sofia-sip.sourceforge.net/
Source0:        http://dl.sourceforge.net/sofia-sip/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel
BuildRequires:  sofia-sip-devel >= 1.12.6
BuildRequires:  sofia-sip-glib-devel >= 1.12.6
BuildRequires:  readline-devel
BuildRequires:  gstreamer-devel
BuildRequires:  farsight-devel
Requires:       gstreamer-plugins-base
Requires:       gstreamer-plugins-good
Requires:       gstreamer-plugins-farsight

%description
This is a simple SIP VoIP/IM example client demonstrating how to use
the Sofia-SIP libsofia-sip-ua library interfaces.

%prep
%setup -q

%build
%configure --enable-farsight
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO

%{_bindir}/sofsip_cli
%{_mandir}/man1/sofsip_cli.1*

%changelog
* Mon Feb 11 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.13-5
- Rebuild for GCC 4.3

* Thu Aug  2 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.13-4
- Enable building on PPC64

* Tue Jul 31 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.13-3
- Enable farsight media implementation.

* Tue Jul 31 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.13-2
- BR gstreamer-devel

* Sat Jun  9 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.13-1
- Update to 0.13

* Fri Jan 12 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.12-1
- First version for Fedora Extras

